summaryrefslogtreecommitdiffstats
path: root/trinity-base/trinity-cmake/trinity-cmake-14.0.11.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'trinity-base/trinity-cmake/trinity-cmake-14.0.11.ebuild')
-rw-r--r--trinity-base/trinity-cmake/trinity-cmake-14.0.11.ebuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/trinity-base/trinity-cmake/trinity-cmake-14.0.11.ebuild b/trinity-base/trinity-cmake/trinity-cmake-14.0.11.ebuild
new file mode 100644
index 00000000..151764f7
--- /dev/null
+++ b/trinity-base/trinity-cmake/trinity-cmake-14.0.11.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2021 Gentoo Authors
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_TYPE="common"
+TRINITY_MODULE_NAME="cmake"
+inherit trinity-base-2
+
+DESCRIPTION="Common cmake modules for Trinity Desktop Environment"
+HOMEPAGE="https://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_configure() {
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+}